classification
Title: openssl compileerror with original source
Type: compile error Stage: resolved
Components: Build Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, loewis, matrixise, ocean-city, pitrou, steve.dower, zach.ware
Priority: normal Keywords: patch

Created on 2009-03-17 06:43 by ocean-city, last changed 2015-05-31 02:56 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
fix_openssl_compile_error.patch ocean-city, 2009-03-17 06:43 review
Messages (6)
msg83660 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2009-03-17 06:43
I ported "compile openssl without perl" scheme into PC/VC6 from PCBuild.
And I noticed openssl compilation fails with a message "IDEA is
disabled" if I use original source code from openssl homepage.

I hope attached patch will fix this. openssl's Configure seems to take
options to exclude specific algorithms. I tested test_ssl, it seems
working on my VC6.
msg84766 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2009-03-31 12:05
For legal reasons we can't ship Python with certain algorithms. If I can
recall correctly IDEA is one of the patented algorithms. The patch is
looking goo.d
msg117188 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2010-09-23 13:50
PCBuild on py3k have fix for this. We'll need to 
investigate/merge in other branches and version.
msg171794 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-10-02 12:34
I think this issue is outdated. ocean-city, is this still  concern for you?

FWIW, I'll be removing the VC6 build process from the 3.4 (default) branch soon.
msg241263 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2015-04-16 19:11
what's the status of this issue? about SSL and Python on Windows for the builder script.
msg244510 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-05-31 02:56
If this wasn't outdated two and a half years ago, it is now :)
History
Date User Action Args
2015-05-31 02:56:03zach.waresetstatus: open -> closed
resolution: out of date
messages: + msg244510

stage: resolved
2015-04-16 19:16:09ned.deilysetnosy: + zach.ware, steve.dower
2015-04-16 19:11:08matrixisesetnosy: + matrixise
messages: + msg241263
2012-10-02 12:34:44loewissetmessages: + msg171794
2012-10-02 06:21:53pitrousetnosy: + loewis
2012-10-02 06:14:14ezio.melottisetnosy: + pitrou

versions: + Python 3.2, Python 3.3, Python 3.4, - Python 2.6, Python 3.0, Python 3.1
2010-09-23 13:50:28ocean-citysetmessages: + msg117188
2009-03-31 12:05:47christian.heimessetmessages: + msg84766
2009-03-30 21:57:01ocean-citysetnosy: + christian.heimes
2009-03-17 06:43:43ocean-citycreate